SUSE: 2022:1690-1 bci/ruby Security Update | LinuxSecurity.com
SUSE Container Update Advisory: bci/ruby
-----------------------------------------------------------------
Container Advisory ID : SUSE-CU-2022:1690-1
Container Tags        : bci/ruby:2 , bci/ruby:2.5 , bci/ruby:2.5-10.21 , bci/ruby:latest
Container Release     : 10.21
Severity              : important
Type                  : security
References            : 1196490 1199132 1199235 1201431 CVE-2022-1587 CVE-2022-23308
                        CVE-2022-29187 CVE-2022-29824 
-----------------------------------------------------------------

The container bci/ruby was updated. The following patches have been included in this update:

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2022:2550-1
Released:    Tue Jul 26 14:00:21 2022
Summary:     Security update for git
Type:        security
Severity:    important
References:  1201431,CVE-2022-29187
This update for git fixes the following issues:

- CVE-2022-29187: Incomplete fix for CVE-2022-24765: potential command injection via git worktree (bsc#1201431).

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2022:2552-1
Released:    Tue Jul 26 14:55:40 2022
Summary:     Security update for libxml2
Type:        security
Severity:    important
References:  1196490,1199132,CVE-2022-23308,CVE-2022-29824
This update for libxml2 fixes the following issues:

Update to 2.9.14:

- CVE-2022-29824: Fixed integer overflow that could have led to an out-of-bounds write in buf.c (xmlBuf*) and tree.c (xmlBuffer*) (bsc#1199132).

Update to version 2.9.13:

- CVE-2022-23308: Fixed a use-after-free of ID and IDREF attributes. (bsc#1196490)

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2022:2566-1
Released:    Wed Jul 27 15:04:49 2022
Summary:     Security update for pcre2
Type:        security
Severity:    important
References:  1199235,CVE-2022-1587
This update for pcre2 fixes the following issues:

- CVE-2022-1587: Fixed out-of-bounds read due to bug in recursions (bsc#1199235).


The following package changes have been done:

- libxml2-2-2.9.14-150400.5.7.1 updated
- libpcre2-8-0-10.39-150400.4.6.1 updated
- git-core-2.35.3-150300.10.15.1 updated
- container:sles15-image-15.0.0-27.11.6 updated

SUSE: 2022:1690-1 bci/ruby Security Update

July 28, 2022
The container bci/ruby was updated

Summary

Advisory ID: SUSE-SU-2022:2550-1 Released: Tue Jul 26 14:00:21 2022 Summary: Security update for git Type: security Severity: important Advisory ID: SUSE-SU-2022:2552-1 Released: Tue Jul 26 14:55:40 2022 Summary: Security update for libxml2 Type: security Severity: important Advisory ID: SUSE-SU-2022:2566-1 Released: Wed Jul 27 15:04:49 2022 Summary: Security update for pcre2 Type: security Severity: important

References

References : 1196490 1199132 1199235 1201431 CVE-2022-1587 CVE-2022-23308

CVE-2022-29187 CVE-2022-29824

1201431,CVE-2022-29187

This update for git fixes the following issues:

- CVE-2022-29187: Incomplete fix for CVE-2022-24765: potential command injection via git worktree (bsc#1201431).

1196490,1199132,CVE-2022-23308,CVE-2022-29824

This update for libxml2 fixes the following issues:

Update to 2.9.14:

- CVE-2022-29824: Fixed integer overflow that could have led to an out-of-bounds write in buf.c (xmlBuf*) and tree.c (xmlBuffer*) (bsc#1199132).

Update to version 2.9.13:

- CVE-2022-23308: Fixed a use-after-free of ID and IDREF attributes. (bsc#1196490)

1199235,CVE-2022-1587

This update for pcre2 fixes the following issues:

- CVE-2022-1587: Fixed out-of-bounds read due to bug in recursions (bsc#1199235).

The following package changes have been done:

- libxml2-2-2.9.14-150400.5.7.1 updated

- libpcre2-8-0-10.39-150400.4.6.1 updated

- git-core-2.35.3-150300.10.15.1 updated

- container:sles15-image-15.0.0-27.11.6 updated

Severity
Container Advisory ID : SUSE-CU-2022:1690-1
Container Tags : bci/ruby:2 , bci/ruby:2.5 , bci/ruby:2.5-10.21 , bci/ruby:latest
Container Release : 10.21
Severity : important
Type : security

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.